# Class: MoneroIncomingTransfer

## MoneroIncomingTransfer(state)

Models an incoming transfer of funds to the wallet.

## Constructor

#### new MoneroIncomingTransfer(state)

Construct the model.

##### Parameters:

Name | Type | Description
--- | --- | ---
`state` | MoneroTransfer | object | is existing state to initialize from (optional)

Source:
  - src/main/js/wallet/model/MoneroIncomingTransfer.js, line 10

### Extends

- MoneroTransfer

### Methods

#### copy()

Overrides:
  - MoneroTransfer#copy
Source:
  - src/main/js/wallet/model/MoneroIncomingTransfer.js, line 60

#### getAccountIndex()

Overrides:
  - MoneroTransfer#getAccountIndex
Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 63

#### getAddress()

Source:
  - src/main/js/wallet/model/MoneroIncomingTransfer.js, line 34

#### getAmount()

Overrides:
  - MoneroTransfer#getAmount
Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 73

#### getNumSuggestedConfirmations() → {number}

Return how many confirmations till it's not economically worth re-writing the chain. That is, the number of confirmations before the transaction is highly unlikely to be double spent or overwritten and may be considered settled, e.g. for a merchant to trust as finalized.

Source:
  - src/main/js/wallet/model/MoneroIncomingTransfer.js, line 51

##### Returns:

is the number of confirmations before it's not worth rewriting the chain

Type
  number

#### getSubaddressIndex()

Source:
  - src/main/js/wallet/model/MoneroIncomingTransfer.js, line 25

#### getTx()

Overrides:
  - MoneroTransfer#getTx
Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 44

#### isIncoming()

Overrides:
  - MoneroTransfer#isIncoming
Source:
  - src/main/js/wallet/model/MoneroIncomingTransfer.js, line 21

#### isOutgoing()

Overrides:
  - MoneroTransfer#isOutgoing
Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 53

#### merge(transfer)

Updates this transaction by merging the latest information from the given transaction. Merging can modify or build references to the transfer given so it should not be re-used or it should be copied before calling this method.

##### Parameters:

Name | Type | Description
--- | --- | ---
`transfer` | MoneroIncomingTransfer | is the transfer to merge into this one

Overrides:
  - MoneroTransfer#merge
Source:
  - src/main/js/wallet/model/MoneroIncomingTransfer.js, line 73

#### setAccountIndex()

Overrides:
  - MoneroTransfer#setAccountIndex
Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 67

#### setAddress()

Source:
  - src/main/js/wallet/model/MoneroIncomingTransfer.js, line 38

#### setAmount()

Overrides:
  - MoneroTransfer#setAmount
Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 77

#### setNumSuggestedConfirmations()

Source:
  - src/main/js/wallet/model/MoneroIncomingTransfer.js, line 55

#### setSubaddressIndex()

Source:
  - src/main/js/wallet/model/MoneroIncomingTransfer.js, line 29

#### setTx()

Overrides:
  - MoneroTransfer#setTx
Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 48

#### toJson()

Overrides:
  - MoneroTransfer#toJson
Source:
  - src/main/js/wallet/model/MoneroTransfer.js, line 37

#### toString()

Overrides:
  - MoneroTransfer#toString
Source:
  - src/main/js/wallet/model/MoneroIncomingTransfer.js, line 83

#### toString()

Overrides:
  - MoneroTransfer#toString
Source:
  - src/main/js/wallet/model/MoneroIncomingTransfer.js, line 87